AddReusablePart Class

class NXOpen.Tooling.AddReusablePart

Bases: NXOpen.Builder

Represents a NXOpen.Tooling.AddReusablePart

To create a new instance of this class, use NXOpen.Tooling.AddReusablePartCollection.CreateBuilder()

Default values.

Property Value
ComponentPatternBuilder.PatternService.AlongPathDefinition.XOnPathSpacing.NCopies.Value 2
ComponentPatternBuilder.PatternService.AlongPathDefinition.XOnPathSpacing.SpaceType Offset
ComponentPatternBuilder.PatternService.AlongPathDefinition.XPathOption Offset
ComponentPatternBuilder.PatternService.AlongPathDefinition.YDirectionOption Section
ComponentPatternBuilder.PatternService.AlongPathDefinition.YOnPathSpacing.NCopies.Value 1
ComponentPatternBuilder.PatternService.AlongPathDefinition.YPathOption Offset
ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.NCopies.Value 1
ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.PitchDistance.Value 10 (millimeters part), 1 (inches part)
ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.SpaceType Offset
ComponentPatternBuilder.PatternService.AlongPathDefinition.YSpacing.SpanDistance.Value 100 (millimeters part), 10 (inches part)
ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.NCopies.Value 12
ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.PitchAngle.Value 30
ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.PitchDistance.Value 10 (millimeters part), 1 (inches part)
ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.SpaceType Offset
ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.SpanAngle.Value 360 (millimeters part), 360 (inches part)
ComponentPatternBuilder.PatternService.CircularDefinition.AngularSpacing.UsePitchOption Angle
ComponentPatternBuilder.PatternService.CircularDefinition.CreateLastStaggered true
ComponentPatternBuilder.PatternService.CircularDefinition.HorizontalRef.RotationAngle.Value 0 (millimeters part), 0 (inches part)
ComponentPatternBuilder.PatternService.CircularDefinition.IncludeSeedToggle true
ComponentPatternBuilder.PatternService.CircularDefinition.RadialSpacing.NCopies.Value 1
ComponentPatternBuilder.PatternService.CircularDefinition.StaggerType None
ComponentPatternBuilder.PatternService.HelixDefinition.AnglePitch.Value 30
ComponentPatternBuilder.PatternService.HelixDefinition.CountOfInstances.Value 6
ComponentPatternBuilder.PatternService.HelixDefinition.DirectionType Righthand
ComponentPatternBuilder.PatternService.HelixDefinition.DistancePitch.Value 10 (millimeters part), 0.4 (inches part)
ComponentPatternBuilder.PatternService.HelixDefinition.HelixPitch.Value 50 (millimeters part), 2 (inches part)
ComponentPatternBuilder.PatternService.HelixDefinition.HelixSpan.Value 100 (millimeters part), 4 (inches part)
ComponentPatternBuilder.PatternService.HelixDefinition.NumberOfTurns.Value 2
ComponentPatternBuilder.PatternService.HelixDefinition.SizeOption CountAngleDistance
ComponentPatternBuilder.PatternService.PatternFill.FillMargin.Value 0 (millimeters part), 0 (inches part)
ComponentPatternBuilder.PatternService.PatternFill.FillOptions None
ComponentPatternBuilder.PatternService.PatternFill.SimplifiedBoundaryToggle False
ComponentPatternBuilder.PatternService.PatternOrientation.AlongOrientationOption NormalToPath
ComponentPatternBuilder.PatternService.PatternOrientation.CircularOrientationOption FollowPattern
ComponentPatternBuilder.PatternService.PatternOrientation.FollowFaceProjDirOption PatternPlaneNormal
ComponentPatternBuilder.PatternService.PatternOrientation.GeneralOrientationOption Fixed
ComponentPatternBuilder.PatternService.PatternOrientation.HelixOrientationOption FollowPattern
ComponentPatternBuilder.PatternService.PatternOrientation.LinearOrientationOption Fixed
ComponentPatternBuilder.PatternService.PatternOrientation.MirrorOrientationOption FollowPattern
ComponentPatternBuilder.PatternService.PatternOrientation.OrientationOption Fixed
ComponentPatternBuilder.PatternService.PatternOrientation.PolygonOrientationOption FollowPattern
ComponentPatternBuilder.PatternService.PatternOrientation.SpiralOrientationOption FollowPattern
ComponentPatternBuilder.PatternService.PatternType Linear
ComponentPatternBuilder.PatternService.PolygonDefinition.NumberOfSides.Value 6
ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSizeOption Inscribed
ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.NCopies.Value 4
ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.PitchDistance.Value 25 (millimeters part), 1 (inches part)
ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.SpaceType Offset
ComponentPatternBuilder.PatternService.PolygonDefinition.PolygonSpacing.SpanAngle.Value 360
ComponentPatternBuilder.PatternService.PolygonDefinition.RadialSpacing.NCopies.Value 1
ComponentPatternBuilder.PatternService.PolygonDefinition.RadialSpacing.PitchDistance.Value 25 (millimeters part), 1 (inches part)
ComponentPatternBuilder.PatternService.PolygonDefinition.RadialSpacing.SpanDistance.Value 100 (millimeters part), 4 (inches part)
ComponentPatternBuilder.PatternService.RectangularDefinition.CreateLastStaggered true
ComponentPatternBuilder.PatternService.RectangularDefinition.SimplifiedLayoutType Square
ComponentPatternBuilder.PatternService.RectangularDefinition.StaggerType None
ComponentPatternBuilder.PatternService.RectangularDefinition.XSpacing.NCopies.Value 2
ComponentPatternBuilder.PatternService.RectangularDefinition.YSpacing.NCopies.Value 1
ComponentPatternBuilder.PatternService.SpiralDefinition.DirectionType Lefthand
ComponentPatternBuilder.PatternService.SpiralDefinition.NumberOfTurns.Value 1 (millimeters part), 1 (inches part)
ComponentPatternBuilder.PatternService.SpiralDefinition.RadialPitch.Value 50 (millimeters part), 2 (inches part)
ComponentPatternBuilder.PatternService.SpiralDefinition.SizeSpiralType NumberOfTurns
ComponentPatternBuilder.PatternService.SpiralDefinition.TotalAngle.Value 360 (millimeters part), 360 (inches part)

New in version NX5.0.0.

Properties

Property Description
ComponentPatternBuilder Returns or sets the current component pattern builder
ComponentType Returns or sets the current component type
PositionMode Returns or sets the current position method
PositioningFeature Returns or sets the positioning feature that needed for reusable component
Tag Returns the Tag for this object.

Methods

Method Description
AddClonePartName Adds clone part name
AddComponentMode Adds mode for a reusable component
AddComponentProperty Adds Component Properties
AddCriteriaToInstance Sets criteria into instance
AddHoleInstance Adds series of reusable components in holes
AddHoleInstanceForCsys Adds series of reusable components in csys
AddNewInstance Adds a new instance
AddPartOccurance Adds occurance into the part data
AffirmReusableComponent Affirms insertion of the reusable component
Commit Commits any edits that have been applied to the builder.
ConstructParametersData Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part
CreateCloneObject Creates the clone operation object
CreateComponents Creates an array instance of a component
CreatePatternComponent Create the pattern component when the positioining pattern sketch feature is not exsit; edit pattern component when the positioining pattern feature is exsit
CreatePositioningFeatureOnPoint Create positioning feature on the given position
CreateReusableConstraints Creates constraints for the reusable component
CreateReusablePocket Creates pocket for a reusable component
DeleteComponents Deletes an array instance of a component
DeleteReusableConstraints Deletes constraints for the reusable component
DeleteReusablePocket Deletes pocket for a reusable component
Destroy Deletes the builder, and cleans up any objects created by the builder.
DestroyReusableBuilder Destroys reusable builder data
EditReusableComponent Edits a reusable component
FindPositioningFeatureSet Find the positioning feature set by pattern sketch
GetAttachedGeometry Gets the attached geometry, this is mainly used to get the initial parameter
GetCloneObject Gets the clone operation object
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetDesignElement Gets an array of design elements
GetInitialPosition Gets the initial location, this is mainly used to get default add location of a reusable component
GetObject Returns the object currently being edited by this builder.
GetParentPart Gets the parent part, this is mainly used to get context work part of a reusable component
GetReusablePocketBuilder Gets the reusable pocket builder
GetSpreadsheetData Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component
InsertReusableComponent Inserts the component into the part data
LoadReusableComponent Loads the reusable component
ModifyParametersByRow Modify parameters according to row index.
MoveReusableComponent Moves a reusable component to a selected position
RecordReusableComponent Records the existing reusable component with the same name
RemoveDesignElement Removes design element component
RemoveFamilyInstance Removes an instance of a part family member
RemoveOldInstance Removes the instance from the part data
RemoveReusableComponent Removes a reusable component
ReplaceReusableComponent Replace reusable component
ReverseComponentDirection Reverses the direction of the reusable component if the reusable component is placed on a face.
ReversePreviewComponent Reverses the direction of the reusable component if the reusable component is not placed on a face.
SaveLibraryPath Saves the library name and path of the reusable component
SavePositioningOriginPlacement Keep positioning offset and placement index
SetAttachedGeometry Sets the attached geometry, this is mainly used to set the initial parameter
SetCloneObject Sets the clone operation object
SetComponentHandleToPoint Keep the reusable component handle information into its associated pattern point
SetComponentProperties Sets the reusable component properties
SetComponentToReplace Sets the selected component to replace
SetEnablePreview Sets the toggle of the Preview widget
SetInitialPosition Sets the initial location, this is mainly used to set default add location of a reusable component
SetParentPart Sets the parent part, this is mainly used to set context work part of a reusable component
SetReplaceTemplate Sets the replace template part
SetReusablePocketBuilder Sets the reusable pocket builder
SetSearchGeometry Sets the search geometry for a reusable component
SetSpreadsheetData Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component
SetUpdateComponentName Sets the update component name for a reusable component
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
SubtituteReusableComponent Subtitutes a reusable part
UpdateCadenasParameter Updates the CADENAS component by given parameter name and value, the name can also be retrieved by calling the following methods.
UpdatePartData Updates the part data of a reusable component
UpdatePocketBody Update pocket body for mw library reusable component
UpdatePositioningOffset Update positioning offset
UpdateReusableComponent Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component
UpdateReusablePocket Updates the pocket for a reusable component
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

AddReusablePartComponentMode Enumeration Represents the component type of the added part
AddReusablePartModeMethod Enumeration Represents adding or editing a reusable component mode method
AddReusablePartPocketBodyMethod Enumeration Represents save pocket body information, updating or deleting a pocket body size mode method
AddReusablePartPositionMethod Enumeration Represents the position method

Property Detail

ComponentPatternBuilder

AddReusablePart.ComponentPatternBuilder

Returns or sets the current component pattern builder

-------------------------------------

Getter Method

Signature ComponentPatternBuilder

Returns:The reusable component pattern builder
Return type:NXOpen.Assemblies.ComponentPatternBuilder

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ComponentPatternBuilder

Parameters:patternComponentBuilderTag (NXOpen.Assemblies.ComponentPatternBuilder) – The reusable component pattern builder

New in version NX11.0.0.

License requirements: None.

ComponentType

AddReusablePart.ComponentType

Returns or sets the current component type

-------------------------------------

Getter Method

Signature ComponentType

Returns:
Return type:NXOpen.Tooling.AddReusablePartComponentMode

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ComponentType

Parameters:partType (NXOpen.Tooling.AddReusablePartComponentMode) –

New in version NX11.0.0.

License requirements: None.

PositionMode

AddReusablePart.PositionMode

Returns or sets the current position method

-------------------------------------

Getter Method

Signature PositionMode

Returns:
Return type:NXOpen.Tooling.AddReusablePartPositionMethod

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PositionMode

Parameters:positionMode (NXOpen.Tooling.AddReusablePartPositionMethod) –

New in version NX5.0.0.

License requirements: None.

PositioningFeature

AddReusablePart.PositioningFeature

Returns or sets the positioning feature that needed for reusable component

-------------------------------------

Getter Method

Signature PositioningFeature

Returns:Positioning feature
Return type:NXOpen.Sketch

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PositioningFeature

Parameters:sketch (NXOpen.Sketch) – Positioning feature

New in version NX11.0.0.

License requirements: None.

Method Detail

AddClonePartName

AddReusablePart.AddClonePartName

Adds clone part name

Signature AddClonePartName(clonedpartname)

Parameters:clonedpartname (str) – The new clone part name

New in version NX9.0.0.

License requirements: None.

AddComponentMode

AddReusablePart.AddComponentMode

Adds mode for a reusable component

Signature AddComponentMode(modeMethod)

Parameters:modeMethod (NXOpen.Tooling.AddReusablePartModeMethod) –

New in version NX9.0.0.

License requirements: None.

AddComponentProperty

AddReusablePart.AddComponentProperty

Adds Component Properties

Signature AddComponentProperty(compName, refsetName, layer)

Parameters:
  • compName (str) – The name of the reference set used to represent the new component
  • refsetName (str) – The layer to place the new component on
  • layer (int) –

New in version NX9.0.0.

License requirements: None.

AddCriteriaToInstance

AddReusablePart.AddCriteriaToInstance

Sets criteria into instance

Signature AddCriteriaToInstance(hasCriteria, expStr, addValue)

Parameters:
  • hasCriteria (bool) –
  • expStr (str) –
  • addValue (str) –

New in version NX11.0.0.

License requirements: None.

AddHoleInstance

AddReusablePart.AddHoleInstance

Adds series of reusable components in holes

Signature AddHoleInstance(inputDirection, inputPostion)

Parameters:

New in version NX9.0.0.

License requirements: None.

AddHoleInstanceForCsys

AddReusablePart.AddHoleInstanceForCsys

Adds series of reusable components in csys

Signature AddHoleInstanceForCsys(inputDirection, inputPostion, selCsys)

Parameters:

New in version NX11.0.1.

License requirements: None.

AddNewInstance

AddReusablePart.AddNewInstance

Adds a new instance

Signature AddNewInstance(partOcc, index)

Parameters:

New in version NX9.0.0.

License requirements: None.

AddPartOccurance

AddReusablePart.AddPartOccurance

Adds occurance into the part data

Signature AddPartOccurance(partOcc)

Parameters:partOcc (NXOpen.Assemblies.Component) – The component occurance to add in the part data

New in version NX9.0.0.

License requirements: None.

AffirmReusableComponent

AddReusablePart.AffirmReusableComponent

Affirms insertion of the reusable component

Signature AffirmReusableComponent()

New in version NX9.0.0.

License requirements: None.

ConstructParametersData

AddReusablePart.ConstructParametersData

Constructs the parameters data, reads data from part family or spreadsheet and updates the parameter data in the part

Signature ConstructParametersData()

New in version NX9.0.0.

License requirements: None.

CreateCloneObject

AddReusablePart.CreateCloneObject

Creates the clone operation object

Signature CreateCloneObject(applicationType, assemName)

Parameters:
Returns:

the new NXOpen.Tooling.CloneObject instance

Return type:

NXOpen.Tooling.CloneObject

New in version NX6.0.0.

License requirements: None.

CreateComponents

AddReusablePart.CreateComponents

Creates an array instance of a component

Signature CreateComponents(count, selobj)

Parameters:
  • count (int) – The count is array instance number
  • selobj (NXOpen.NXObject) – The selected object is FACE type, the reusable component place on the face

New in version NX9.0.0.

License requirements: None.

CreatePatternComponent

AddReusablePart.CreatePatternComponent

Create the pattern component when the positioining pattern sketch feature is not exsit; edit pattern component when the positioining pattern feature is exsit

Signature CreatePatternComponent(createPattern)

Parameters:createPattern (bool) – Flag to decide whether to create pattern component or edit, set flag as true to create and set flag false to edit

New in version NX11.0.0.

License requirements: None.

CreatePositioningFeatureOnPoint

AddReusablePart.CreatePositioningFeatureOnPoint

Create positioning feature on the given position

Signature CreatePositioningFeatureOnPoint(selobj, inputPosition, centerFace)

Parameters:
  • selobj (NXOpen.NXObject) – The selected object is FACE type, the reusable component place on the face
  • inputPosition (NXOpen.Point3d) – The input position
  • centerFace (bool) – whether to use face center as location

New in version NX11.0.0.

License requirements: None.

CreateReusableConstraints

AddReusablePart.CreateReusableConstraints

Creates constraints for the reusable component

Signature CreateReusableConstraints(index)

Parameters:index (int) – The index part is to create constraints

New in version NX9.0.0.

License requirements: None.

CreateReusablePocket

AddReusablePart.CreateReusablePocket

Creates pocket for a reusable component

Signature CreateReusablePocket(commit)

Parameters:commit (bool) – if the variable is true, the component needs pocket

New in version NX9.0.0.

License requirements: None.

DeleteComponents

AddReusablePart.DeleteComponents

Deletes an array instance of a component

Signature DeleteComponents(count)

Parameters:count (int) – The count is array instance number

New in version NX9.0.0.

License requirements: None.

DeleteReusableConstraints

AddReusablePart.DeleteReusableConstraints

Deletes constraints for the reusable component

Signature DeleteReusableConstraints()

New in version NX9.0.0.

License requirements: None.

DeleteReusablePocket

AddReusablePart.DeleteReusablePocket

Deletes pocket for a reusable component

Signature DeleteReusablePocket()

New in version NX9.0.0.

License requirements: None.

DestroyReusableBuilder

AddReusablePart.DestroyReusableBuilder

Destroys reusable builder data

Signature DestroyReusableBuilder()

New in version NX9.0.0.

License requirements: None.

EditReusableComponent

AddReusablePart.EditReusableComponent

Edits a reusable component

Signature EditReusableComponent(partOcc)

Parameters:partOcc (NXOpen.Assemblies.Component) – The component occurance to edit in the part data

New in version NX9.0.0.

License requirements: None.

FindPositioningFeatureSet

AddReusablePart.FindPositioningFeatureSet

Find the positioning feature set by pattern sketch

Signature FindPositioningFeatureSet()

Returns:Positioning feature set
Return type:NXOpen.Features.Feature

New in version NX11.0.0.

License requirements: None.

GetAttachedGeometry

AddReusablePart.GetAttachedGeometry

Gets the attached geometry, this is mainly used to get the initial parameter

Signature GetAttachedGeometry()

Returns:Geometry to calculate the initial parameter
Return type:NXOpen.NXObject

New in version NX9.0.0.

License requirements: None.

GetCloneObject

AddReusablePart.GetCloneObject

Gets the clone operation object

Signature GetCloneObject()

Returns:A NXOpen.Tooling.CloneObject instance
Return type:NXOpen.Tooling.CloneObject

New in version NX9.0.0.

License requirements: None.

GetDesignElement

AddReusablePart.GetDesignElement

Gets an array of design elements

Signature GetDesignElement()

Returns:The design elements
Return type:list of NXOpen.Assemblies.Component

New in version NX9.0.0.

License requirements: None.

GetInitialPosition

AddReusablePart.GetInitialPosition

Gets the initial location, this is mainly used to get default add location of a reusable component

Signature GetInitialPosition()

Returns:Drop location to initial parameter
Return type:NXOpen.Point3d

New in version NX9.0.0.

License requirements: None.

GetParentPart

AddReusablePart.GetParentPart

Gets the parent part, this is mainly used to get context work part of a reusable component

Signature GetParentPart()

Returns:The parent part to place the component
Return type:NXOpen.Part

New in version NX9.0.0.

License requirements: None.

GetReusablePocketBuilder

AddReusablePart.GetReusablePocketBuilder

Gets the reusable pocket builder

Signature GetReusablePocketBuilder()

Returns:The reusable component pocket builder
Return type:NXOpen.Tooling.ReusablePocketBuilder

New in version NX9.0.0.

License requirements: None.

GetSpreadsheetData

AddReusablePart.GetSpreadsheetData

Gets the spreadsheet data, this is mainly used to get the attributes of a reusable component

Signature GetSpreadsheetData()

Returns:Spreadsheet data
Return type:NXOpen.Tooling.SpreadsheetData

New in version NX9.0.0.

License requirements: None.

InsertReusableComponent

AddReusablePart.InsertReusableComponent

Inserts the component into the part data

Signature InsertReusableComponent(instIndex, needTransform)

Parameters:
  • instIndex (int) – The index of the new component being added in the part data
  • needTransform (bool) – Whether the component needs to be transformed in the fastener assembly

New in version NX9.0.0.

License requirements: None.

LoadReusableComponent

AddReusablePart.LoadReusableComponent

Loads the reusable component

Signature LoadReusableComponent(krxFile)

Parameters:krxFile (str) – The KRX file

New in version NX9.0.0.

License requirements: None.

ModifyParametersByRow

AddReusablePart.ModifyParametersByRow

Modify parameters according to row index.

The number of the row is defined by the template data file.

Signature ModifyParametersByRow(index)

Parameters:index (int) – The index is the row of the template data file

New in version NX11.0.0.

License requirements: None.

MoveReusableComponent

AddReusablePart.MoveReusableComponent

Moves a reusable component to a selected position

Signature MoveReusableComponent(translation, rotation, index)

Parameters:
  • translation (NXOpen.Vector3d) – The translation data
  • rotation (NXOpen.Matrix3x3) – The rotation data
  • index (int) – The reusable component index in the part data

New in version NX9.0.0.

License requirements: None.

RecordReusableComponent

AddReusablePart.RecordReusableComponent

Records the existing reusable component with the same name

Signature RecordReusableComponent(fileName)

Parameters:fileName (str) – The reusable component name

New in version NX9.0.0.

License requirements: None.

RemoveDesignElement

AddReusablePart.RemoveDesignElement

Removes design element component

Signature RemoveDesignElement()

New in version NX9.0.0.

License requirements: None.

RemoveFamilyInstance

AddReusablePart.RemoveFamilyInstance

Removes an instance of a part family member

Signature RemoveFamilyInstance(part)

Parameters:part (NXOpen.Part) –

New in version NX11.0.0.

License requirements: None.

RemoveOldInstance

AddReusablePart.RemoveOldInstance

Removes the instance from the part data

Signature RemoveOldInstance(index)

Parameters:index (int) – The index of component instance

New in version NX9.0.0.

License requirements: None.

RemoveReusableComponent

AddReusablePart.RemoveReusableComponent

Removes a reusable component

Signature RemoveReusableComponent(index)

Parameters:index (int) – The reusable component index in the part data

New in version NX9.0.0.

License requirements: None.

ReplaceReusableComponent

AddReusablePart.ReplaceReusableComponent

Replace reusable component

Signature ReplaceReusableComponent()

New in version NX11.0.0.

License requirements: None.

ReverseComponentDirection

AddReusablePart.ReverseComponentDirection

Reverses the direction of the reusable component if the reusable component is placed on a face.

Signature ReverseComponentDirection(inputPosition, inputDirection, length, outputPosition, outputDirection)

Parameters:
  • inputPosition (NXOpen.Point3d) – The input position of componnent
  • inputDirection (NXOpen.Point3d) – The input direction of componnent
  • length (float) – The input length of componnent
  • outputPosition (NXOpen.Point3d) – The output position of componnent
  • outputDirection (NXOpen.Point3d) – The output position of componnent
Returns:

The output face of the componnent on

Return type:

NXOpen.NXObject

New in version NX9.0.0.

License requirements: None.

ReversePreviewComponent

AddReusablePart.ReversePreviewComponent

Reverses the direction of the reusable component if the reusable component is not placed on a face.

Signature ReversePreviewComponent(rememberDir)

Parameters:rememberDir (NXOpen.Point3d) – The original position of component

New in version NX9.0.0.

License requirements: None.

SaveLibraryPath

AddReusablePart.SaveLibraryPath

Saves the library name and path of the reusable component

Signature SaveLibraryPath(libName, libpath)

Parameters:
  • libName (str) – Library name
  • libpath (str) – The path in the library

New in version NX9.0.0.

License requirements: None.

SavePositioningOriginPlacement

AddReusablePart.SavePositioningOriginPlacement

Keep positioning offset and placement index

Signature SavePositioningOriginPlacement(positionOffSet, placementOriginIndex)

Parameters:
  • positionOffSet (str) – The positionging offset value that defined in the krx file
  • placementOriginIndex (int) – The positioning placement origin index that defined in the krx file

New in version NX11.0.0.

License requirements: None.

SetAttachedGeometry

AddReusablePart.SetAttachedGeometry

Sets the attached geometry, this is mainly used to set the initial parameter

Signature SetAttachedGeometry(part)

Parameters:part (NXOpen.NXObject) – Geometry to calculate the initial parameter

New in version NX9.0.0.

License requirements: None.

SetCloneObject

AddReusablePart.SetCloneObject

Sets the clone operation object

Signature SetCloneObject(cloneObject)

Parameters:cloneObject (NXOpen.Tooling.CloneObject) – A NXOpen.Tooling.CloneObject instance

New in version NX9.0.0.

License requirements: None.

SetComponentHandleToPoint

AddReusablePart.SetComponentHandleToPoint

Keep the reusable component handle information into its associated pattern point

Signature SetComponentHandleToPoint()

New in version NX11.0.0.

License requirements: None.

SetComponentProperties

AddReusablePart.SetComponentProperties

Sets the reusable component properties

Signature SetComponentProperties(referenceSetName, componentName, layer)

Parameters:
  • referenceSetName (str) – The name of the reference set used to represent the new component
  • componentName (str) – The name of the new component
  • layer (int) – The layer to place the new component on

New in version NX9.0.0.

License requirements: None.

SetComponentToReplace

AddReusablePart.SetComponentToReplace

Sets the selected component to replace

Signature SetComponentToReplace(index, replaceComponent)

Parameters:

New in version NX11.0.0.

License requirements: None.

SetEnablePreview

AddReusablePart.SetEnablePreview

Sets the toggle of the Preview widget

Signature SetEnablePreview(isTrunOn)

Parameters:isTrunOn (bool) – Whehter preview toggle is turned on, which is on the add reusable component dialog

New in version NX9.0.0.

License requirements: None.

SetInitialPosition

AddReusablePart.SetInitialPosition

Sets the initial location, this is mainly used to set default add location of a reusable component

Signature SetInitialPosition(dropLocation)

Parameters:dropLocation (NXOpen.Point3d) – Drop location to initial parameter

New in version NX9.0.0.

License requirements: None.

SetParentPart

AddReusablePart.SetParentPart

Sets the parent part, this is mainly used to set context work part of a reusable component

Signature SetParentPart(part)

Parameters:part (NXOpen.Part) – The parent part to place the component

New in version NX9.0.0.

License requirements: None.

SetReplaceTemplate

AddReusablePart.SetReplaceTemplate

Sets the replace template part

Signature SetReplaceTemplate(replaceTemplate)

Parameters:replaceTemplate (NXOpen.Part) – The replace template part

New in version NX11.0.0.

License requirements: None.

SetReusablePocketBuilder

AddReusablePart.SetReusablePocketBuilder

Sets the reusable pocket builder

Signature SetReusablePocketBuilder(pocketTag)

Parameters:pocketTag (NXOpen.Tooling.ReusablePocketBuilder) – The reusable component pocket builder

New in version NX9.0.0.

License requirements: None.

SetSearchGeometry

AddReusablePart.SetSearchGeometry

Sets the search geometry for a reusable component

Signature SetSearchGeometry(isTrunOn)

Parameters:isTrunOn (bool) – Whehter the search geometry toggle is turned on, which is on the add reusable component dialog

New in version NX9.0.0.

License requirements: None.

SetSpreadsheetData

AddReusablePart.SetSpreadsheetData

Sets the spreadsheet data, this is mainly used to set the attributes of a reusable component

Signature SetSpreadsheetData(spreadsheetData)

Parameters:spreadsheetData (NXOpen.Tooling.SpreadsheetData) – Spreadsheet data

New in version NX9.0.0.

License requirements: None.

SetUpdateComponentName

AddReusablePart.SetUpdateComponentName

Sets the update component name for a reusable component

Signature SetUpdateComponentName(updateComponentName)

Parameters:updateComponentName (bool) – Whehter the component name will be updated or not for copied part

New in version NX12.0.0.

License requirements: None.

SubtituteReusableComponent

AddReusablePart.SubtituteReusableComponent

Subtitutes a reusable part

Signature SubtituteReusableComponent(substituteInstance)

Parameters:substituteInstance (bool) – Whether the resuable component needs to be substituted

New in version NX9.0.0.

License requirements: None.

UpdateCadenasParameter

AddReusablePart.UpdateCadenasParameter

Updates the CADENAS component by given parameter name and value, the name can also be retrieved by calling the following methods.

NXOpen.Tooling.AddReusablePart.GetSpreadsheetData(), NXOpen.Tooling.SpreadsheetData.GetParameterValue(), NXOpen.Tooling.SpreadsheetDataParameter.ParameterName`()

Signature UpdateCadenasParameter(paraName, paraValue)

Parameters:
  • paraName (str) – The parameter name
  • paraValue (str) – The parameter value

New in version NX11.0.0.

License requirements: None.

UpdatePartData

AddReusablePart.UpdatePartData

Updates the part data of a reusable component

Signature UpdatePartData()

New in version NX9.0.0.

License requirements: None.

UpdatePocketBody

AddReusablePart.UpdatePocketBody

Update pocket body for mw library reusable component

Signature UpdatePocketBody(createPattern, updatePocketBody)

Parameters:
  • createPattern (bool) – Flag to decide whether to create pocket body pattern or not
  • updatePocketBody (NXOpen.Tooling.AddReusablePartPocketBodyMethod) – Flag to decide whether to create pocket body, delete or update 0: add; 1: delete; 2:update

New in version NX11.0.0.

License requirements: None.

UpdatePositioningOffset

AddReusablePart.UpdatePositioningOffset

Update positioning offset

Signature UpdatePositioningOffset(positionOffSet)

Parameters:positionOffSet (str) – The positionging offset value that defined in the krx file

New in version NX11.0.0.

License requirements: None.

UpdateReusableComponent

AddReusablePart.UpdateReusableComponent

Updates the part data for a reusable component, this is mainly used to update parameter for a reusable component

Signature UpdateReusableComponent()

New in version NX9.0.0.

License requirements: None.

UpdateReusablePocket

AddReusablePart.UpdateReusablePocket

Updates the pocket for a reusable component

Signature UpdateReusablePocket()

New in version NX9.0.0.

License requirements: None.

Validate

AddReusablePart.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.